Bug 863639 - Documentation build with smarty fails
Summary: Documentation build with smarty fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pear-PhpDocumentor
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-06 09:11 UTC by Johan Cwiklinski
Modified: 2013-02-28 07:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 07:10:30 UTC


Attachments (Terms of Use)
Git patch that fix the issues (for me) (24.75 KB, patch)
2012-10-06 13:15 UTC, Johan Cwiklinski
no flags Details | Diff
More Smarty3 fixes (17.61 KB, patch)
2012-11-25 16:09 UTC, Johan Cwiklinski
no flags Details | Diff

Description Johan Cwiklinski 2012-10-06 09:11:55 UTC
Description of problem:
Running a phpDoc configuration that is using Smarty for rendering make doc build fails because of Smarty3 


Version-Release number of selected component (if applicable):
php-pear-PhpDocumentor.noarch 0:1.4.4-4.fc18
php-Smarty.noarch 0:3.1.11-1.fc18


How reproducible:
Try to build a phpDoc using Smarty as renderer.
  
Actual results:
Doc build fails with message:
Formatting Package Indexes...PHP Fatal error:  Uncaught exception 'SmartyException' with message 'Call of unknown method 'register_outputfilter'.' in /usr/share/php/Smarty/sysplugins/smarty_internal_templatebase.php:806


Expected results:
Doc successfully built :)


Additional info:
Using smarty2 do solve that issue.

Comment 1 Johan Cwiklinski 2012-10-06 13:15:40 UTC
Created attachment 622702 [details]
Git patch that fix the issues (for me)

Here is the a git patch that solve the issue, for my usage at least. Hope that helps :)

Comment 2 Johan Cwiklinski 2012-11-25 16:09:17 UTC
Created attachment 651573 [details]
More Smarty3 fixes

I've noticed that my previous patch was only fixing issues when using HTML:Smarty:PHP format.

Here is another one, also including other formats fixes.

I've requested co-maitainership for this package, Smarty3 is shipped with F-18, so PhpDocumentor is actually broken :/

Comment 3 Remi Collet 2013-02-12 17:52:10 UTC
I will take care of applying the patches.

Comment 4 Fedora Update System 2013-02-12 17:53:18 UTC
php-pear-PhpDocumentor-1.4.4-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pear-PhpDocumentor-1.4.4-6.fc18

Comment 5 Fedora Update System 2013-02-13 04:32:12 UTC
Package php-pear-PhpDocumentor-1.4.4-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-PhpDocumentor-1.4.4-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2379/php-pear-PhpDocumentor-1.4.4-6.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-02-28 07:10:31 UTC
php-pear-PhpDocumentor-1.4.4-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.